JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes
ValueSmoothingTypes Namespace Reference
juce_audio_basics » utilities

A namespace containing a set of types used for specifying the smoothing behaviour of the SmoothedValue class. More...

## Classes
struct | Linear
| Used to indicate a linear smoothing between values. More...
struct | Multiplicative
| Used to indicate a smoothing between multiplicative values. More...

## Detailed Description

A namespace containing a set of types used for specifying the smoothing behaviour of the SmoothedValue class.

For example:

SmoothedValue<float, ValueSmoothingTypes::Multiplicative> frequency (1.0f);
SmoothedValue
A utility class for values that need smoothing to avoid audio glitches.
Definition juce_SmoothedValue.h:228